> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iinkedsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download

This endpoint will generate a MasterFile for the specified signer, all other signers' sensitive personally identifiable information (PII) will be nulled out. If the signer is also the package owner they will still see all signers' PII. If the signer is not the package owner they will only see their own PII. This is useful when sharing MasterFile data with signers while keeping other signers' PII private.

### PII not shared when using `/signer/{signerId}` endpoint:

* Mobile Number
* Device
* IP Address
* Location (Address, Latitude, and Longitude)

<Tip>
  If you want more control over the content included in the MasterFile consider using the [MasterFile export API](/v4/api/masterfile/export) endpoint instead.
</Tip>

## Request

```http Request theme={null}
GET /masterfiles/{packageId}/signer/{signerId}/pdf/download
```

### Parameters

<ParamField path="packageId" type="string" required>
  The unique identifier of the package you want to download MasterFile for.
</ParamField>

<ParamField path="signerId" type="string" required>
  The unique identifier of the signer you want to download MasterFile as.
</ParamField>

## Response

Returns a PDF file of the requested package's MasterFile for the specified signer.

<ResponseExample>
  ```http Response theme={null}
  HTTP/1.1 200 OK
  Content-Type: application/pdf
  Content-Disposition: attachment; name="example.pdf";filename*=utf-8''example.pdf

  <PDF-BINARY-DATA>
  ```
</ResponseExample>
